IP Location.net API site

API V2

Proxy Check Endpoint

Check IP2Location.io proxy/security signals with a valid API key and include the matching active proxy-list record when available.

POST /v2/proxy-check

API key

Required.

Parameters

Name Required Description
Authorization Yes Header. Use Bearer YOUR_API_KEY.
ip Yes Body field. IPv4 or IPv6 address to check.

Example Request

POST https://api.iplocation.net/v2/proxy-check
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json

{
  "ip": "139.59.51.139"
}

Example Response

{
    "ip": "139.59.51.139",
    "ip_version": "4",
    "result": "1",
    "proxy": {
        "ip": "139.59.51.139",
        "port": 80,
        "type": "https",
        "uptime": "99.20"
    },
    "proxy_details": {
        "provider": "Example VPN",
        "fraud_score": "68",
        "proxy_type": "VPN",
        "last_seen_days": "1",
        "threat": "",
        "is_proxy": true,
        "is_vpn": true,
        "is_tor": false
    },
    "provider": "Example VPN",
    "fraud_score": "68",
    "proxy_type": "VPN",
    "is_proxy": true,
    "is_vpn": true,
    "is_tor": false,
    "response_code": "200",
    "response_message": "OK"
}